com.google.gwt.user.client.ui

## Class FocusListenerAdapter

- java.lang.Object
- - com.google.gwt.user.client.ui.FocusListenerAdapter

All Implemented Interfaces:
  FocusListener, java.util.EventListener

Deprecated.
Use `FocusHandler` and `BlurHandler` instead

    @Deprecated
    public abstract class FocusListenerAdapter
    extends java.lang.Object
    implements FocusListener

An adapter to simplify focus event listeners that do not need all events defined on the FocusListener interface.

### Constructor Summary

Constructors
Constructor and Description
`FocusListenerAdapter()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `onFocus(Widget sender)` Deprecated. Fired when a widget receives keyboard focus.
`void` `onLostFocus(Widget sender)` Deprecated. Fired when a widget loses keyboard focus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusListenerAdapter

    public FocusListenerAdapter()

Deprecated.

### Method Detail

#### onFocus

    public void onFocus(Widget sender)

Deprecated.
Description copied from interface: `FocusListener`
Fired when a widget receives keyboard focus.

Specified by:
  `onFocus` in interface `FocusListener`
Parameters:
  `sender` - the widget receiving focus.

#### onLostFocus

    public void onLostFocus(Widget sender)

Deprecated.
Description copied from interface: `FocusListener`
Fired when a widget loses keyboard focus.

Specified by:
  `onLostFocus` in interface `FocusListener`
Parameters:
  `sender` - the widget losing focus.